Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
linkedin
/
profile
Get LinkedIn profile
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/profile \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "username": "some-public-id"
}
'
{
  "data": {
    "username": "<string>",
    "full_name": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "headline": "<string>",
    "about": "<string>",
    "profile_picture_url": "<string>",
    "location": {
      "country": "<string>",
      "city": "<string>",
      "full": "<string>"
    },
    "follower_count": 123,
    "connection_count": 123,
    "current_company": "<string>",
    "current_company_url": "<string>",
    "background_picture_url": "<string>",
    "linkedin_id": "<string>",
    "profile_url": "<string>",
    "open_to_work": true,
    "is_premium": true,
    "is_creator": true,
    "is_influencer": true,
    "is_top_voice": true,
    "is_verified": true,
    "is_hiring": true,
    "top_skills": [
      "<string>"
    ],
    "experience": [
      {}
    ],
    "education": [
      {}
    ],
    "certifications": [
      {}
    ],
    "skills": [
      {}
    ],
    "languages": [
      {}
    ],
    "volunteering": [
      {}
    ],
    "projects": [
      {}
    ],
    "publications": [
      {}
    ],
    "honors_awards": [
      {}
    ],
    "courses": [
      {}
    ],
    "patents": [
      {}
    ],
    "featured": [
      {}
    ],
    "recommendations": [
      {}
    ],
    "organizations": [
      {}
    ],
    "causes": [
      {}
    ]
  },
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/linkedin/profile

Get LinkedIn profile details by username.
Retrieve public profile metadata for a LinkedIn profile username.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/profile \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"username": "some-public-id"}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
username
string
required
Example:

"some-public-id"

Response

LinkedIn profile data.

data
object
required
meta
object
required